import { Component, inject, OnInit } from '@angular/core';
import { BreadcrumbService } from '../breadcrumb.service';

@Component({
  standalone: true,
  selector: 'page-not-found',
  templateUrl: './pagenotfound.component.html',
  styles: ['.center-align{text-align:center;}.center-align.heading{color:red;}']
})
export class PageNotFoundComponent implements OnInit
{
  private readonly bcSvc = inject(BreadcrumbService);

  ngOnInit()
  {
    this.bcSvc.setItems([{ label: 'Page not found', routerLink: ['/**'] }]);
  }
}
